## org.cometd.demo
Class CometdDemoServlet

    java.lang.Object
      javax.servlet.GenericServlet
          org.cometd.demo.CometdDemoServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class CometdDemoServlet

extends GenericServlet

See Also:
  Serialized Form

Nested Class Summary
`static class` `CometdDemoServlet.EchoRPC`
`static class` `CometdDemoServlet.Monitor`

Constructor Summary
`CometdDemoServlet()`

Method Summary
`void` `init()`
`void` `service(ServletRequest req, ServletResponse res)`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CometdDemoServlet

    public CometdDemoServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### service

    public void service(ServletRequest req,
                        ServletResponse res)
                 throws ServletException,
                        IOException

  Specified by:
    `service` in interface `Servlet`
  Specified by:
    `service` in class `GenericServlet`
  Throws:
    `ServletException`
    `IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.